artdaq Demo - Bug #20966

~/.setup_fhiclcpp potential/actual problem
09/27/2018 11:59 AM - Ron Rechenmacher

Status: Resolved Start date: 09/27/2018
Priority: Normal Due date:

Assignee: % Done: 100%
Category: Estimated time: 0.00 hour

Target version:

Co-Assignees:

Description

| don't know how | ended up with a bogus ~/.setup_fhiclcpp file, but it prevented the demo from
running. If this file is needed, it should, at a minimum be created under the demo root.

History

#1 - 09/27/2018 03:24 PM - John Freeman

The ~/.setup_fhiclcpp in question which Ron showed me contained a reference to /nfs/sw/artdag/products, a directory found on the protoDUNE
cluster; this would have caused a failure since running was performed on the mu2edagq cluster. It's likely DAQInterface had been run from the
feature/protodune branch and created this ~/.setup_fhiclcpp.

As far as the lessons learned from this, Ron and | agreed to the following:

-That DAQInterface shouldn't create or look for .setup_fhiclcpp in the home directory, but rather, in the same directory as the DAQInterface settings
file

-That it should be possible to find this .setup_fhiclcpp file through an environment variable (e.g., DAQINTERFACE_SETUP_FHICLCPP)

-That before source-ing .setup_fhiclcpp, DAQInterface should first check to see whether fhicl-dump is already defined

-That if it does source .setup_fhiclcpp, DAQInterface should first run Ron's unsetup_all function

#2 - 09/28/2018 04:03 PM - John Freeman
- Status changed from New to Resolved

- % Done changed from 0 to 100

Commit 6b6c25654118e29927d5813a6d9eb5c8ee877d8b on DAQInterface's develop branch satisfies the requirements laid out in the previous
comment on this Issue.
